Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235350 - kpdf crashes when disabling "presentation" mode
Summary: kpdf crashes when disabling "presentation" mode
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kdegraphics
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Radek Bíba
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-05 11:02 UTC by Dawid Gajownik
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-17 22:19:46 UTC


Attachments (Terms of Use)
backtrace (deleted)
2007-04-05 11:02 UTC, Dawid Gajownik
no flags Details
http://www.cisco.com/ca/events/pdfs/L2-security-Bootcamp-final.pdf (deleted)
2007-04-05 11:05 UTC, Dawid Gajownik
no flags Details


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 143951 None None None Never

Description Dawid Gajownik 2007-04-05 11:02:43 UTC
Description of problem:
Sometimes when turning off "Presentation" mode (press Esc), kpdf crashes.

Version-Release number of selected component (if applicable):
kdegraphics-3.5.6-0.1.fc6

Steps to Reproduce:
1. open attached pdf file
2. go to view -> presentation mode
3. watch the presentation, etc.
4. press esc to turn off presentation mode
5. kpdf sometimes crashes

Comment 1 Dawid Gajownik 2007-04-05 11:02:43 UTC
Created attachment 151752 [details]
backtrace

Comment 3 Sammy 2007-04-05 16:31:07 UTC
I can also confirm this with the latest kpdf from the 3.5 branch (today!)
which is completely converted to xpdf-3.02 base. Thus it looks like a
kpdf bug that should be reported to KDE (unless it is qt-3.3.8 bug).
Will you report this since you have the presentation? Let me know.
Umar

Comment 4 Sammy 2007-04-07 21:54:33 UTC
I am not seeing this on my i386 laptop but only on x86_64 desktop.
What do you have?

Comment 5 Dawid Gajownik 2007-04-08 09:06:09 UTC
Sorry for the delay, I've been a bit busy.

(In reply to comment #3)
> I can also confirm this with the latest kpdf from the 3.5 branch (today!)
> which is completely converted to xpdf-3.02 base

Uhm, sorry for the stupid question, but why not poppler?

> Thus it looks like a
> kpdf bug that should be reported to KDE (unless it is qt-3.3.8 bug).
> Will you report this since you have the presentation? Let me know.

d1 → http://bugs.kde.org/show_bug.cgi?id=143951

(In reply to comment #4)
> I am not seeing this on my i386 laptop but only on x86_64 desktop.
> What do you have?

Mine is i386.

BTW Happy Eastern :)

Comment 6 Sammy 2007-04-08 14:09:34 UTC
No matter what I do I could not replicate it on my laptop.
Are you opening the file from within something like a link,
or are you opening from the shell?

Both xpdf and kpdf share libfreetype. kpdf has a bunch of
extra kde libraries as well as libXcursor link.

I will test it again tomorrow at the office to see if it
still crashes there.

Happy easter!


Comment 7 Rex Dieter 2007-11-17 22:19:46 UTC
Reported upstream and fixed.  Thanks. 


Note You need to log in before you can comment on or make changes to this bug.